package com.ruoyi.orderManagement.service.impl;

import java.util.List;

import com.ruoyi.orderManagement.domain.ProjectBillsHistory;
import com.ruoyi.orderManagement.mapper.ProjectBillsHistoryMapper;
import com.ruoyi.orderManagement.service.IProjectBillsHistoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 变更历史Service业务层处理
 *
 * @author ruoyi
 * @date 2021-03-02
 */
@Service
public class ProjectBillsHistoryServiceImpl implements IProjectBillsHistoryService {
    @Autowired
    private ProjectBillsHistoryMapper projectBillsHistoryMapper;

    /**
     * 查询变更历史
     *
     * @param id 变更历史ID
     * @return 变更历史
     */
    @Override
    public ProjectBillsHistory selectProjectBillsHistoryById(Long id) {
        return projectBillsHistoryMapper.selectProjectBillsHistoryById(id);
    }

    /**
     * 查询变更历史列表
     *
     * @param projectBillsHistory 变更历史
     * @return 变更历史
     */
    @Override
    public List<ProjectBillsHistory> selectProjectBillsHistoryList(ProjectBillsHistory projectBillsHistory) {
        return projectBillsHistoryMapper.selectProjectBillsHistoryList(projectBillsHistory);
    }

    /**
     * 新增变更历史
     *
     * @param projectBillsHistory 变更历史
     * @return 结果
     */
    @Override
    public int insertProjectBillsHistory(ProjectBillsHistory projectBillsHistory) {
        return projectBillsHistoryMapper.insertProjectBillsHistory(projectBillsHistory);
    }

    /**
     * 修改变更历史
     *
     * @param projectBillsHistory 变更历史
     * @return 结果
     */
    @Override
    public int updateProjectBillsHistory(ProjectBillsHistory projectBillsHistory) {
        return projectBillsHistoryMapper.updateProjectBillsHistory(projectBillsHistory);
    }

    /**
     * 批量删除变更历史
     *
     * @param ids 需要删除的变更历史ID
     * @return 结果
     */
    @Override
    public int deleteProjectBillsHistoryByIds(Long[] ids) {
        return projectBillsHistoryMapper.deleteProjectBillsHistoryByIds(ids);
    }

    /**
     * 删除变更历史信息
     *
     * @param id 变更历史ID
     * @return 结果
     */
    @Override
    public int deleteProjectBillsHistoryById(Long id) {
        return projectBillsHistoryMapper.deleteProjectBillsHistoryById(id);
    }
}
